Loading...
Searching...
No Matches
pcl::detail::FieldCaster< PointT > Struct Template Reference

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldCaster (const std::vector< pcl::PCLPointField > &fields, const pcl::PCLPointCloud2 &msg, const std::uint8_t *msg_data, std::uint8_t *cloud_data)
template<typename Tag >
void | operator() ()

## Public Attributes

const std::vector< pcl::PCLPointField > & | fields_
const pcl::PCLPointCloud2 & | msg_
const std::uint8_t * | msg_data_
std::uint8_t * | cloud_data_

## Detailed Description

template<typename PointT>
struct pcl::detail::FieldCaster< PointT >

Definition at line 123 of file conversions.h.

## Constructor & Destructor Documentation

## FieldCaster()

template<typename PointT >

pcl::detail::FieldCaster< PointT >::FieldCaster | ( | const std::vector< pcl::PCLPointField > & | fields,
|  | const pcl::PCLPointCloud2 & | msg,
|  | const std::uint8_t * | msg_data,
|  | std::uint8_t * | cloud_data
| ) |  |

inline

Definition at line 125 of file conversions.h.

## Member Function Documentation

## operator()()

template<typename PointT >
template<typename Tag >

void pcl::detail::FieldCaster< PointT >::operator() | ( |  | ) |

inline

Definition at line 130 of file conversions.h.

References pcl::detail::FieldCaster< PointT >::cloud_data_, and pcl::detail::FieldCaster< PointT >::fields_.

## Member Data Documentation

## cloud_data_

template<typename PointT >

std::uint8_t* pcl::detail::FieldCaster< PointT >::cloud_data_

Definition at line 184 of file conversions.h.

Referenced by pcl::detail::FieldCaster< PointT >::operator()().

## fields_

template<typename PointT >

const std::vector<pcl::PCLPointField>& pcl::detail::FieldCaster< PointT >::fields_

Definition at line 181 of file conversions.h.

Referenced by pcl::detail::FieldCaster< PointT >::operator()().

## msg_

template<typename PointT >

const pcl::PCLPointCloud2& pcl::detail::FieldCaster< PointT >::msg_

Definition at line 182 of file conversions.h.

## msg_data_

template<typename PointT >

const std::uint8_t* pcl::detail::FieldCaster< PointT >::msg_data_

Definition at line 183 of file conversions.h.

The documentation for this struct was generated from the following file:

- pcl/conversions.h